#ifndef CONFIGPAGE_H
#define CONFIGPAGE_H

#include <QDialog>

class CLogsSorter;
class CLogsSorterConfigData;


namespace Ui {
class CConfigPage;
}

class CConfigPage : public QDialog
{
    Q_OBJECT

public:
    explicit CConfigPage(QWidget *parent = 0);
    ~CConfigPage();

    void InitializeConfigData(const CLogsSorterConfigData *DataStruct);

    CLogsSorter *mProgramPtr;

private:
    Ui::CConfigPage *ui;

public slots:
    void AddFilterBtnPressed();
    void DeleteFilterBtnPressed();
    void CancelBtnPressed();
    void SaveConfigBtnPressed();
};

#endif // CONFIGPAGE_H
